/*
 * Class TYPE [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_390 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_390 [] = {0xFF01,237,389,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_390 [] = {0xFF01,389,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_390 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_390 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_390 [] = {0xFF01,389,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_390 [] = {0xFF01,389,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_390 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_390 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_390 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_390 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_390 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_390 [] = {389,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_390 [] = {0xFF01,389,191,0xFFFF};
static const EIF_TYPE_INDEX egt_14_390 [] = {0xFF01,228,0xFFFF};
static const EIF_TYPE_INDEX egt_15_390 [] = {0xFF01,237,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_390 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_390 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_390 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_390 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_390 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_390 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_390 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_390 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_390 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_390 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_26_390 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_27_390 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_390 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_390[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_390), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_390), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8635, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_390), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_390), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_390), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_390), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_390), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_390), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_390), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_390), 8643, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_390), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_390), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_390), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_390), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8630, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8636, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8637, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1449, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_390), 8627, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_390), 8628, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8629, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8631, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8632, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8634, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_390), 8638, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_390), 8639, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_390), 8640, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_390), 8641, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_390), 8642, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_390), 8645, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8646, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8647, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_390), 8648, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_390), 8649, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_390), 8650, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_390), 8651, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C9 /*228*/), 8652, 0},
	{EIF_GENERIC(egt_26_390), 8653, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_390), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_390), 8644, 0xFFFFFFFF},
};
void Init390(void)
{
	IDSC(desc_390, 0, 389);
	IDSC(desc_390 + 1, 1, 389);
	IDSC(desc_390 + 32, 248, 389);
	IDSC(desc_390 + 34, 203, 389);
	IDSC(desc_390 + 38, 11, 389);
	IDSC(desc_390 + 60, 336, 389);
}


#ifdef __cplusplus
}
#endif
